### Clean script

# production defaults
BINROOT="../bin"
OBJROOT="objs"

# include defaults to get the same paths
if [ -f ./default.sh ]; then
	source ./default.sh
fi

# check for empty argument
if [ $# -eq 0 ]; then
	echo "No argument given!"
	exit -2
fi

# first check if binary exist at all
pushd . > /dev/null
cd $BINROOT
if [ $? -ne 0 ]; then
	echo "Binary root doesn't exist !"
	exit -1
fi
cd $1
BINROOT=`pwd -P`

echo "Deleting intermediate files... in directory [$BINROOT]"
# It may look strange, but it is used in installer.sh script use rm - rf $BINROOT if you want complete clean
rm -f *.map
rm -rf $OBJROOT
rm -rf resgen
rm -f *.uil
rm -f Makefile
rm -f $BINROOT/curlang.uid

popd > /dev/null
